#include<bits/stdc++.h>

using namespace std;
int N;
int O, A, B , AB;
string pacijent;
int kolicina[1000010];
int main(){

    cin >> N;
    cin >> O >> A >> B >> AB;
    for(int i = 1; i <= N; i++){
cin >> pacijent >> kolicina[1000010];
    }
 if (pacijent == "O"){
if(kolicina[1000010] >= O){
    cout << "nemoguce" << endl;

}
a

}

return 0;
}